#include "renderer.h"
#include "backend_api.h" 

#include <runtime/config.h>

RT_CVAR_S(rt_Renderer, "The used renderer. Available options: vk, dx11. (Default: vk)", "vk");

RT_DLLEXPORT void rtRegisterRenderCVARs(void) {
    rtRegisterCVAR(&rt_Renderer);
}

RT_DLLEXPORT void rtRegisterRenderBackendCVARs(void) {
    g_render_backend.RegisterCVARs();    
}


RT_DLLEXPORT rt_result rtInitRenderer(const rt_renderer_window_info *info) {
    rt_render_backend_init_result backend_res = g_render_backend.Init(info);
    return backend_res.result;
}

RT_DLLEXPORT void rtShutdownRenderer(void) {
    g_render_backend.Shutdown();
}
